# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-09-25 17:03
from __future__ import unicode_literals

from django.db import migrations


class AlterUniqueTogetherNoDB(migrations.AlterUniqueTogether):
    """A `AlterUniqueTogether` that doesn't actually touch the DB it only
    updates the model schema.

    Because of migrations:

    - 0163_create_new_power_parameters_with_jsonfield
    - 0164_copy_over_existing_power_parameters
    - 0165_remove_and_rename_power_parameters

    The unique_together was removed by PostgreSQL automatically, so performing
    DB changes actually results in an error because it has already been
    removed.
    """

    def database_forwards(
        self, app_label, schema_editor, from_state, to_state
    ):
        # Do nothing.
        pass

    def database_backwards(
        self, app_label, schema_editor, from_state, to_state
    ):
        # Do nothing.
        pass


class Migration(migrations.Migration):

    dependencies = [
        ("maasserver", "0176_rename_user_id_migrate_to_user_id_for_events")
    ]

    operations = [AlterUniqueTogetherNoDB(name="bmc", unique_together=set([]))]
