# Generated by Django 2.2.12 on 2020-08-14 22:01

from django.db import migrations


def reorder_commissioning_scripts(apps, schema_editor):
    ScriptResult = apps.get_model("metadataserver", "ScriptResult")

    for old, new in (
        ("00-maas-00-support-info", "maas-support-info"),
        ("00-maas-01-lshw", "maas-lshw"),
        ("00-maas-03-install-lldpd", "20-maas-01-install-lldpd"),
        ("00-maas-04-list-modaliases", "maas-list-modaliases"),
        (
            "00-maas-05-dhcp-unconfigured-ifaces",
            "20-maas-02-dhcp-unconfigured-ifaces",
        ),
        ("00-maas-06-get-fruid-api-data", "maas-get-fruid-api-data"),
        ("00-maas-08-serial-ports", "maas-serial-ports"),
        ("99-maas-01-capture-lldp", "maas-capture-lldpd"),
        ("99-maas-05-kernel-cmdline", "maas-kernel-cmdline"),
    ):
        ScriptResult.objects.filter(script_name=old).update(script_name=new)


class Migration(migrations.Migration):

    dependencies = [("metadataserver", "0023_reorder_network_scripts")]

    operations = [migrations.RunPython(reorder_commissioning_scripts)]
